SuSE 11.3 Security Update : glibc (SAT Patch Number 9477)

High Nessus Plugin ID 76604


The remote SuSE 11 host is missing one or more security updates.


glibc has been updated to fix one security issue that could have resulted in free-after-use situations.

More information can be found at

This security issue has been fixed :

- posix_spawn_file_actions_addopen fails to copy the path argument (CVE-2014-4043) Also a regression from a previous update has been fixed :

- Don't ignore too long lines in nss_files (bnc#883217)


Apply SAT patch number 9477.

See Also

Plugin Details

Severity: High

ID: 76604

File Name: suse_11_glibc-140701.nasl

Version: $Revision: 1.2 $

Type: local

Agent: unix

Published: 2014/07/20

Modified: 2014/10/08

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:glibc, p-cpe:/a:novell:suse_linux:11:glibc-32bit, p-cpe:/a:novell:suse_linux:11:glibc-devel, p-cpe:/a:novell:suse_linux:11:glibc-devel-32bit, p-cpe:/a:novell:suse_linux:11:glibc-html, p-cpe:/a:novell:suse_linux:11:glibc-i18ndata, p-cpe:/a:novell:suse_linux:11:glibc-info, p-cpe:/a:novell:suse_linux:11:glibc-locale, p-cpe:/a:novell:suse_linux:11:glibc-locale-32bit, p-cpe:/a:novell:suse_linux:11:glibc-profile, p-cpe:/a:novell:suse_linux:11:glibc-profile-32bit, p-cpe:/a:novell:suse_linux:11:nscd, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2014/07/01

Reference Information

CVE: CVE-2014-4043